Bug 271360 - karbon adding a text and exporting to svg , text is not displayed
Summary: karbon adding a text and exporting to svg , text is not displayed
Status: RESOLVED FIXED
Alias: None
Product: karbon
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jan Hambrecht
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-20 17:16 UTC by nowardev
Modified: 2011-08-24 20:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nowardev 2011-04-20 17:16:06 UTC
Version:           unspecified (using KDE 4.6.2) 
OS:                Linux

you have to test in this way :

create a new document 
add a text 
export to svg 

try to open with some software like gwenview and you'll that the text is not displayed, 

work around found on #calligra thank to ingwa , 

ADD SHAPE DOCK ===> Artistic text



Reproducible: Always

Steps to Reproduce:
create a new document with karbon 
add a text 
export to svg 

Actual Results:  
create a new document 
add a text 
export to svg 
text is not displayed correctly

Expected Results:  
create a new document 
add a text 
export to svg 
text   displayed correctly
Comment 1 Jan Hambrecht 2011-08-16 17:29:45 UTC

*** This bug has been marked as a duplicate of bug 236562 ***
Comment 2 Jan Hambrecht 2011-08-24 20:24:23 UTC
Git commit e72ec9cf9d64413117a2498c7b1a558ad9e537f7 by Jan Hambrecht.
Committed on 24/08/2011 at 22:22.
Pushed by jaham into branch 'master'.

Add svg support to the flake library

BUG:236562
BUG:271360
BUG:274654
REVIEW:102315

A  +92   -0    libs/flake/svg/SvgLoadingContext.h     [License: LGPL (v2+)]
M  +1    -1    plugins/commentshape/CommentShapeFactory.cpp
M  +1    -1    plugins/treeshape/TreeShapeFactory.cpp
M  +1    -1    filters/karbon/svg/SvgExport.cpp
M  +1    -0    filters/karbon/CMakeLists.txt
M  +29   -7    libs/flake/KoShapeFactoryBase.cpp
R  +0    -0    libs/flake/svg/SvgGradientHelper.cpp [from: filters/karbon/svg/SvgGradientHelper.cpp - 100% similarity]
A  +74   -0    libs/flake/svg/SvgStyleParser.h     [License: LGPL (v2+)]
M  +1    -1    stage/part/KPrPlaceholderShapeFactory.cpp
A  +247  -0    libs/flake/svg/SvgSavingContext.cpp     [License: LGPL (v2+)]
M  +1    -0    CMakeLists.txt
M  +1    -1    plugins/musicshape/MusicShapeFactory.cpp
M  +373  -1    plugins/artistictextshape/ArtisticTextShape.cpp
R  +8    -21   libs/flake/svg/SvgShape.cpp [from: filters/karbon/svg/SvgClipPathHelper.cpp - 062% similarity]
D  +0    -72   filters/karbon/svg/SvgSavingContext.cpp
M  +1    -1    libs/flake/KoConnectionShapeFactory.cpp
A  +131  -0    libs/flake/svg/SvgShapeFactory.cpp     [License: LGPL (v2+)]
R  +16   -20   libs/flake/svg/SvgShape.h [from: filters/karbon/svg/SvgSavingContext.h - 061% similarity]
M  +2    -1    plugins/artistictextshape/CMakeLists.txt
M  +1    -1    plugins/textshape/TextShapeFactory.cpp
D  +0    -59   filters/karbon/svg/SvgLoadingContext.h
M  +5    -1    plugins/pathshapes/rectangle/RectangleShapeFactory.cpp
D  +0    -106  filters/karbon/svg/SvgWriter.h
M  +1    -1    braindump/plugins/stateshape/StateShapeFactory.cpp
A  +64   -0    libs/flake/svg/SvgStyleWriter.h     [License: LGPL (v2+)]
M  +0    -1    plugins/artistictextshape/ArtisticTextTool.cpp
R  +11   -1    libs/flake/svg/SvgUtil.h [from: filters/karbon/svg/SvgUtil.h - 090% similarity]
A  +75   -0    libs/flake/svg/SvgSavingContext.h     [License: LGPL (v2+)]
M  +23   -15   libs/flake/KoShapeRegistry.cpp
M  +3    -0    karbon/ui/KarbonPart.cpp
R  +15   -15   plugins/artistictextshape/ArtisticTextLoadingContext.cpp [from: filters/karbon/svg/SvgTextHelper.cpp - 087% similarity]
M  +1    -1    plugins/pathshapes/CMakeLists.txt
M  +1    -1    plugins/videoshape/VideoShapeFactory.cpp
R  +0    -0    libs/flake/svg/SvgPatternHelper.h [from: filters/karbon/svg/SvgPatternHelper.h - 100% similarity]
M  +7    -3    plugins/pathshapes/ellipse/EllipseShapeFactory.cpp
A  +1323 -0    libs/flake/svg/SvgParser.cpp     [License: LGPL (v2+)]
R  +0    -0    libs/flake/svg/SvgFilterHelper.cpp [from: filters/karbon/svg/SvgFilterHelper.cpp - 100% similarity]
R  +19   -4    libs/flake/svg/SvgUtil.cpp [from: filters/karbon/svg/SvgUtil.cpp - 095% similarity]
M  +5    -1    plugins/pictureshape/PictureShapeFactory.cpp
A  +464  -0    libs/flake/svg/SvgStyleParser.cpp     [License: LGPL (v2+)]
R  +0    -0    libs/flake/svg/SvgCssHelper.h [from: filters/karbon/svg/SvgCssHelper.h - 100% similarity]
C  +21   -23   libs/flake/svg/SvgGraphicContext.cpp [from: filters/karbon/svg/SvgClipPathHelper.cpp - 053% similarity]
R  +16   -39   libs/flake/svg/SvgParser.h [from: filters/karbon/svg/SvgParser.h - 071% similarity]
R  +0    -0    libs/flake/svg/SvgCssHelper.cpp [from: filters/karbon/svg/SvgCssHelper.cpp - 100% similarity]
M  +5    -15   plugins/artistictextshape/ArtisticTextShapeFactory.cpp
R  +15   -22   libs/flake/svg/SvgShapeFactory.h [from: filters/karbon/svg/SvgClipPathHelper.h - 055% similarity]
D  +0    -837  filters/karbon/svg/SvgWriter.cpp
A  +368  -0    libs/flake/svg/SvgStyleWriter.cpp     [License: LGPL (v2+)]
M  +6    -2    plugins/pictureshape/PictureShape.h
A  +77   -0    libs/flake/svg/SvgWriter.h     [License: LGPL (v2+)]
M  +8    -1    plugins/pathshapes/ellipse/EllipseShape.h
A  +248  -0    libs/flake/svg/SvgWriter.cpp     [License: LGPL (v2+)]
M  +1    -1    plugins/pathshapes/enhancedpath/EnhancedPathShapeFactory.cpp
M  +1    -1    plugins/formulashape/KoFormulaShapeFactory.cpp
M  +1    -1    tables/shape/TableShapeFactory.cpp
M  +1    -1    braindump/plugins/webshape/WebShapeFactory.cpp
R  +0    -0    libs/flake/svg/SvgFilterHelper.h [from: filters/karbon/svg/SvgFilterHelper.h - 100% similarity]
R  +2    -2    plugins/artistictextshape/ArtisticTextLoadingContext.h [from: filters/karbon/svg/SvgTextHelper.h - 098% similarity]
M  +1    -1    libs/flake/KoPathShapeFactory.cpp
D  +0    -2064 filters/karbon/svg/SvgParser.cpp
M  +1    -1    kexi/shapes/relationdesign/kexirelationdesignfactory.cpp
R  +2    -2    libs/flake/svg/SvgPatternHelper.cpp [from: filters/karbon/svg/SvgPatternHelper.cpp - 098% similarity]
R  +0    -0    libs/flake/svg/SvgGradientHelper.h [from: filters/karbon/svg/SvgGradientHelper.h - 100% similarity]
M  +1    -1    plugins/chartshape/ChartShapeFactory.cpp
M  +8    -1    plugins/pathshapes/rectangle/RectangleShape.h
M  +8    -0    libs/flake/KoShapeRegistry.h
M  +14   -4    libs/flake/KoShapeFactoryBase.h
M  +1    -1    plugins/pluginshape/PluginShapeFactory.cpp
M  +1    -1    plugins/pathshapes/star/StarShapeFactory.cpp
M  +1    -1    plugins/vectorshape/VectorShapeFactory.cpp
M  +78   -5    plugins/pictureshape/PictureShape.cpp
M  +3    -16   filters/karbon/svg/CMakeLists.txt
C  +0    -0    libs/flake/svg/SvgClipPathHelper.h [from: filters/karbon/svg/SvgClipPathHelper.h - 100% similarity]
M  +55   -0    plugins/pathshapes/ellipse/EllipseShape.cpp
C  +0    -0    libs/flake/svg/SvgClipPathHelper.cpp [from: filters/karbon/svg/SvgClipPathHelper.cpp - 100% similarity]
M  +2    -2    plugins/pictureshape/CMakeLists.txt
M  +17   -2    plugins/artistictextshape/ArtisticTextShape.h
R  +10   -27   libs/flake/svg/SvgGraphicContext.h [from: filters/karbon/svg/SvgGraphicContext.h - 077% similarity]
M  +15   -0    libs/flake/CMakeLists.txt
R  +65   -5    libs/flake/svg/SvgLoadingContext.cpp [from: filters/karbon/svg/SvgLoadingContext.cpp - 067% similarity]
M  +56   -0    plugins/pathshapes/rectangle/RectangleShape.cpp

http://commits.kde.org/calligra/e72ec9cf9d64413117a2498c7b1a558ad9e537f7